<?php
ob_start();
require 'index.php';
$calc = ob_get_clean();
ob_start();
?>

      <h1>TESTS</h1>

<?php

    $op = '3-2';
    $test->isEqual($op, $math->evaluate($op), (3-2));
    // int(1)

    $op = '-2+3';
    $test->isEqual($op, $math->evaluate($op), (3-2));
    // int(1)

    $op = '5 mod(3)';
    $test->isEqual($op, $math->evaluate($op), (5 % 3));
    // int(2)

    $op = '5 mod(-3)';
    $test->isEqual($op, $math->evaluate($op), (5 % -3));
    // int(2)

    $op = '-5 mod(3)';
    $test->isEqual($op, $math->evaluate($op), (-5 % 3));
    // int(-2)

    $op = '-5 mod(-3)';
    $test->isEqual($op, $math->evaluate($op), (-5 % -3));
    // int(-2)

    $op = '^3';
    $test->isEqual($op, $math->evaluate($op), (0**3));
    // int(0)

    $op = '2^3';
    $test->isEqual($op, $math->evaluate($op), (2**3));
    // int(8)

    $op = '2^-3';
    $test->isEqual($op, $math->evaluate($op), (2**-3));
    // int(8)

    $op = 'sqrt(4)';
    $test->isEqual($op, $math->evaluate($op), sqrt(4));
    // int(2)

    $op = '√4';
    $test->isEqual($op, $math->evaluate($op), sqrt(4));
    // int(2)

    $op = '√(4)';
    $test->isEqual($op, $math->evaluate($op), sqrt(4));
    // int(2)

    $op = 'sqrt(-4)';
    $test->isEqual($op, $math->evaluate($op), sqrt(-4));
    // not a number

    $op = 'sqrt(4) + 2';
    $test->isEqual($op, $math->evaluate($op), (sqrt(4) + 2));
    // int(4)

    $op = 'sqrt(-4) + 2';
    $test->isEqual($op, $math->evaluate($op), (sqrt(-4) + 2));
    // not a number

    $op = '(200 + √390) - 2^3';
    $test->isEqual($op, $math->evaluate($op), ((200 + sqrt(390)) - 2**3));
    // int(8)

    $op = '20%';
    $test->isEqual($op, $math->evaluate($op), (20/100) );
    // float(0.2)

    $op = '(78 * 7) + (5% − (20 ÷ 5))';
    $test->isEqual($op, $math->evaluate($op), ((78 * 7) + ((5/100) - (20 / 5))));
    // float(542.05)

    $op = '100 - 20%';
    $test->isEqual($op, $math->evaluate($op), (100 - ((100*20)/100)));
    // int(80)

    $op = '(2 + 3) * 4';
    $test->isEqual($op, $math->evaluate($op), ((2 + 3) * 4));
    // int(20)

    $op = '1 + 2 * ((3 + 4) * 5 + 6)';
    $test->isEqual($op, $math->evaluate($op), (1 + 2 * ((3 + 4) * 5 + 6)));
    // int(83)

    $op = '(1 + 2) * (3 + 4) * (5 + 6)';
    $test->isEqual($op, $math->evaluate($op), ((1 + 2) * (3 + 4) * (5 + 6)));
    // int(231)

    $op = '(13 + (2 - 4))*5';
    $test->isEqual($op, $math->evaluate($op), ((13 + (2 - 4))*5));
    // int(55)

    $math->registerVariable('a', 4);
    $op = '($a + 3) * 4';
    $test->isEqual($op, $math->evaluate($op), ((4 + 3) * 4));
    // int(28)

    $math->registerVariable('a', 5);
    $op = '($a + $a) * 4';
    $test->isEqual($op, $math->evaluate($op), ((5 + 5) * 4));
    // int(40)
?>

   </body>
<?php
$Tests = ob_get_clean();
echo str_replace('</body>',$Tests,$calc);
